shr.defineClass("shr.custom.EmpPreEntryEditEx",shr.emp.EmpPreEntryEdit, {

	initalizeDOM: function() {
		shr.custom.EmpPreEntryEditEx.superClass.initalizeDOM.call(this);
		
		var self = this;
		//$('#addNew').hide();
		
	},
	sentEmailAction:function(){
		
			var self = this;
			
			self.sentEmail();
			
		},
	sentEmail:function(){
		  var _self = this;
		  var billIds = _self.billId
	     // var billIds = $("#grid").jqGrid("getSelectedRows");
		  if (billIds == undefined || billIds.length==0) {
	        shr.showWarning({message:jsBizMultLan.emp_empPreEntryList_i18n_9});
			return ;
	    }else {
	    	//shr.showWarning("发送成功！");
			
		}
		
	       _self.remoteCall({
				method: 'sentEmail',
				async:false,
				param: {
					personId:billIds.toString()
				},
				success: function (res) {
					
					if(res.status==1){
						shr.showWarning({message:res.rsinfo+"发送邮件失败！"});
						//shr.showInfo({message:res+"发送失败！"});
					}else{
						shr.showInfo({message:"发送成功！"});
						$('#notifyStatus').shrSelect('setValue','hasSend');
						
					}
					 
				}
			});
			
	  },
	
	createcodeAction:function(){
		
			var self = this;
			
			self.createQrcode();
			
		},
	
	

 createQrcode:function(){
		  var _self = this;
	     
	       _self.remoteCall({
				method: 'getQRCode',
				async:false,
				param: {
					personId:_self.billId
				},
				success: function (res) {
			const imgWindow = window.open('')
			imgWindow && imgWindow.document.write("<img src='"+res+"' style='display: flex; margin: 0 auto'/>")
			//修改导入按钮为调用平台的方法
				}
			});
			
	  },
	  
getPcUrlAction:function(){

	var self = this;
	 _self.remoteCall({
				method: 'getPcUrl',
				async:false,
				param: {
					personId:_self.billId
				},
				success: function (res) {
			//alert(res);
			shr.showWarning({
        message:res //'获取不到预入职员工id,预入职员工ID为空。'
      });
			
			//const imgWindow = window.open('')
			//imgWindow && imgWindow.document.write("<img src='"+res+"' style='display: flex; margin: 0 auto'/>")
			//修改导入按钮为调用平台的方法
				}
			});
	
},










});